Import an invoice from a file

Import an invoice from a supported file.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Account identifier (ID)

Query Params
boolean
enum
Defaults to false

Indicates whether the invoice should be automatically processed after import.

When set to true and the invoice passes validations:

  • For sending transports (non-download), the invoice is queued to be sent asynchronously.
  • For download transport, the invoice is not sent. Instead, if tax report generation is enabled and required for this invoice, the invoice will be issued and the tax report generated (invoice ends in state=issued and exposes tax_report_ids). Otherwise, the invoice may end in state=error.

Note: This option is incompatible with the custom signature configuration.

Allowed:
string | null

Internal identifier that specifies the Transport type used for the contact party of the invoice within B2Brouter. This code determines the transport in which the document is exchanged with the contact entity.

  • If the contact already exists, this value will overwrite the existing transport_type_code.

  • If the parameter is not provided, the system assigns the transport_type_code based on the following priority:

    1. If the contact already exists, its current transport_type_code is used.
    2. If the contact does not exist:
      • If the contact is found in the B2Brouter directory, the code defined there is used.
      • Otherwise, the default transport type defined in the account settings is applied.

Valid transport type codes can be retrieved from the Transport Types endpoint in the Code Lists section:
/transport_types

If the specified transport_type_code is invalid or incompatible, the system will apply the default transport_type_code and document_type_code.

string | null

Internal identifier that specifies the Document Type used for the contact party of the invoice within B2Brouter. This code determines the format in which the document is exchanged with the contact entity.

  • If the contact already exists, this value will overwrite the existing document_type_code.

  • If the parameter is not provided, the system assigns the document_type_code based on the following priority:

    1. If the contact already exists, its current document_type_code is used.
    2. If the contact does not exist:
      • If the contact is found in the B2Brouter directory, the code defined there is used.
      • Otherwise, the default document type defined in the account settings is applied.

Valid document type codes can be retrieved from the Document Types endpoint in the Code Lists section:
/document_types

If the specified document_type_code is invalid or incompatible with the selected transport_type_code, the system will apply the default transport_type_code and document_type_code.

boolean
Defaults to null

A flag that specifies whether the invoice to be imported is issued or received.

boolean

Mark the invoice as acknowledged.

Body Params

The invoice file to import

Headers
string
Defaults to 2026-04-20

Specifies the version of the API to use in this request. If not specified uses the API-Version set in the group conifguration B2Brouter UI Application -> Developers -> API Keys -> API Version

Responses

401

Unauthorized

403

Forbidden

406

Not Acceptable

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json